--- 
- - !ruby/regexp /^(.*?) is a synonym for (.*)/
  - :add_synonym
- - !ruby/regexp /^save syn/
  - :save_synonyms
- - !ruby/regexp /^load syn/
  - :load_synonyms
- - !ruby/regexp /^add pattern (.*), (.*)/
  - :add_pattern
- - !ruby/regexp /^>(.*)/
  - :defining_method
- - !ruby/regexp /^restart/
  - :restart
- - !ruby/regexp /^show api/
  - :show_api
- - !ruby/regexp /(?i-mx:^show rules)/
  - :show_rules
- - !ruby/regexp /(?i-mx:^(if.*=~.*))/
  - add_rule
- - !ruby/regexp /^begin log(.*)/
  - :begin_log
- - !ruby/regexp /^end log(.*)/
  - :end_log
- - !ruby/regexp /^(alice|megahal|isr|\!sr|calc|gagent)/
  - :default
- - !ruby/regexp /(?i-mx:^what is the subject of(?:\:)? (.*))/
  - getSubject
- - !ruby/regexp /(?i-mx:^what is the subject in(?:\:)? (.*))/
  - getSubject
- - !ruby/regexp "/(?i-mx:^subject: (.*))/"
  - getSubject
- - !ruby/regexp /(?i-mx:^what is the object of(?:\:)? (.*))/
  - getObject
- - !ruby/regexp /(?i-mx:^what is the object in(?:\:)? (.*))/
  - getObject
- - !ruby/regexp "/(?i-mx:^object: (.*))/"
  - getObject
- - !ruby/regexp /(?i-mx:^what is the verb of(?:\:) (.*))/
  - getVerb
- - !ruby/regexp "/(?i-mx:^verb: (.*))/"
  - getVerb
- - !ruby/regexp "/(?i-mx:^what is the verb in: (.*))/"
  - getVerb
- - !ruby/regexp /(?i-mx:^help$)/
  - help
- - !ruby/regexp /(?i-mx:^svo (.*))/
  - getSVO
- - !ruby/regexp "/(?i-mx:^svo: (.*))/"
  - getSVO
- - !ruby/regexp "/(?i-mx:parse constituents\\: (.*))/"
  - parse_constituents
- - !ruby/regexp /(?i-mx:parse constituents (.*))/
  - parse_constituents
- - !ruby/regexp /(?i-mx:parse.*constituents(?:\:)? (.*))/
  - parse_constituents
- - !ruby/regexp /(?i-mx:diagram(?:\:)? (.*))/
  - parse_constituents
- - !ruby/regexp /(?i-mx:get.*constituent.*parse(?:\:)? (.*))/
  - parse_constituents
- - !ruby/regexp "/(?i-mx:get simple parse\\: (.*))/"
  - get_simple_parse
- - !ruby/regexp /(?i-mx:get.*simpl.*parse(?:\:)? (.*))/
  - get_simple_parse
- - !ruby/regexp /(?i-mx:simple parse(?:\:)? (.*))/
  - get_simple_parse
- - !ruby/regexp /(?i-mx:parse(?:\:)? (.*))/
  - parse_constituents
- - !ruby/regexp /(?i-mx:^delete rule (\d+))/
  - delete_rule
